Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454397 - %ghosted (header) files in abiword's rpm
Summary: %ghosted (header) files in abiword's rpm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 08:34 UTC by Paul Bolle
Modified: 2008-07-23 20:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 20:32:21 UTC


Attachments (Terms of Use)
quick hack to get the specfile to generate a abiword-devel rpm (deleted)
2008-07-23 20:19 UTC, Paul Bolle
no flags Details | Diff

Description Paul Bolle 2008-07-08 08:34:00 UTC
Description of problem:
There are two phantom header files in abiword's rpm  

Version-Release number of selected component (if applicable):
abiword-2.6.3-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. file $(rpm -ql abiword | grep -E "\.h$")
2.
3.
  
Actual results:
/usr/include/abiword-2.6/abiwidget.h:           ERROR: cannot open
`/usr/include/abiword-2.6/abiwidget.h' (No such file or directory)
/usr/include/abiword-2.6/xap_UnixTableWidget.h: ERROR: cannot open
`/usr/include/abiword-2.6/xap_UnixTableWidget.h' (No such file or directory)

Expected results:
Something like:
/usr/include/abiword-2.6/abiwidget.h:           ASCII C program text
/usr/include/abiword-2.6/xap_UnixTableWidget.h: ASCII C program text

Additional info:
Replicated on two different machines, so it seems not to be just a botched
install or some random drive/fs/etc. failure.

Comment 1 Paul Bolle 2008-07-17 20:41:48 UTC
"Phantom" was actually close: they are "%ghost" files:
%ghost %{_includedir}/%{name}-%{majorversion}.%{minorversion}
%ghost %{_libdir}/pkgconfig/%{name}-%{majorversion}.%{minorversion}.pc
%ghost
%{_datadir}/%{name}-%{majorversion}.%{minorversion}/dictionary/ispell_dictionary_list.xml

I changed the summary accordingly.

None of them are included in the rpm:
file $(rpm -ql abiword | grep -E "/usr/include/abiword-2.6")
/usr/include/abiword-2.6:                       ERROR: cannot open
`/usr/include/abiword-2.6' (No such file or directory)
/usr/include/abiword-2.6/abiwidget.h:           ERROR: cannot open
`/usr/include/abiword-2.6/abiwidget.h' (No such file or directory)
/usr/include/abiword-2.6/xap_UnixTableWidget.h: ERROR: cannot open
`/usr/include/abiword-2.6/xap_UnixTableWidget.h' (No such file or directory)

file $(rpm -ql abiword | grep -E "/usr/lib/pkgconfig/abiword-2.6")
/usr/lib/pkgconfig/abiword-2.6.pc: ERROR: cannot open
`/usr/lib/pkgconfig/abiword-2.6.pc' (No such file or directory)

file $(rpm -ql abiword | grep -E "/usr/share/abiword-2.6/dictionary/ispell_")
/usr/share/abiword-2.6/dictionary/ispell_dictionary_list.xml: ERROR: cannot open
`/usr/share/abiword-2.6/dictionary/ispell_dictionary_list.xml' (No such file or
directory)

See here for a description of %ghost files:
http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE

Given that description, I doubt whether %ghosting these files is correct: they
could as well be dropped entirely.

Anyway: could we somehow have regular header files for abiword? There's no
abiword-devel, is there?

Comment 2 Paul Bolle 2008-07-23 20:19:03 UTC
Created attachment 312518 [details]
quick hack to get the specfile to generate a abiword-devel rpm

This quick hack makes the abiword.spec also generate an abiword-devel rpm (see
my previous comment). I wouldn't be surprised if the generated abiword-devel
rpm violates all kind of packaging guidelines or otherwise includes less useful
files.

The abiword-devel package seems to work. I could compile and run the simple
test-widget (see: http://www.abisource.com/wiki/AbiWord_SDK ).

But by now it might be better to open a separate bug requesting an
abiword-devel rpm, or not?

Comment 3 Marc Maurer 2008-07-23 20:32:21 UTC
Thanks for the report: in rawhide, the abiword srpm now generates libabiword,
libabiword-devel and an abiword package.

That should fix this issue. Will port to F9 as well if I'm convinced the
packaging contains no problems.


Note You need to log in before you can comment on or make changes to this bug.